  maven:
    container_name: ${COMPOSE_PROJECT_NAME:-default}-maven
    build:
      context: ./maven/
      args:
        LINUX_ROOT_PASSWORD: ${LINUX_ROOT_PASSWORD}
    working_dir: /home/maven
    entrypoint: /usr/bin/env
    command: cmd_master.sh
    volumes:
      - ./volumes-common/file/etc/rsyslog.conf:/etc/rsyslog.conf
      - ./maven/volumes/file/etc/supervisor/conf.d/supervisord.conf:/etc/supervisor/conf.d/supervisord.conf
      - ./maven/volumes/file/root/.bash_history:/root/.bash_history
      - ./maven/volumes/file/usr/local/bin/cmd_master.sh:/usr/local/bin/cmd_master.sh
      - ./maven/volumes/file/usr/local/bin/service_reinitialize.sh:/usr/local/bin/service_reinitialize.sh
      - ./maven/volumes/file/usr/local/bin/service_start.sh:/usr/local/bin/service_start.sh

      - ./maven/volumes/directory/home/maven/:/home/maven/
      - ./maven/volumes/directory/root/.m2/repository/:/root/.m2/repository/
      - ./maven/volumes/file/usr/local/bin/mvn_clean.sh:/usr/local/bin/mvn_clean.sh
      - ./maven/volumes/file/usr/local/bin/mvn_clean.sh:/usr/local/bin/mvn_clean_package_skip_tests.sh
      - ./maven/volumes/file/usr/local/bin/mvn_package.sh:/usr/local/bin/mvn_package.sh
      - ./maven/volumes/file/usr/local/bin/mvn_update_library_versions.sh:/usr/local/bin/mvn_update_library_versions.sh

      - ./apps/vmware/maven/volumes/directory/home/maven/vmware/:/home/maven/vmware/
      - ./apps/vmware/maven/volumes/file/root/.m2/settings.xml:/root/.m2/settings.xml
      - ./apps/vmware/maven/volumes/file/usr/local/bin/mvn_create_vmware_js.sh:/usr/local/bin/mvn_create_vmware_js.sh
      - ./apps/vmware/maven/volumes/file/usr/local/bin/mvn_create_vmware_mixed.sh:/usr/local/bin/mvn_create_vmware_mixed.sh
      - ./apps/vmware/maven/volumes/file/usr/local/bin/mvn_create_vmware_xml.sh:/usr/local/bin/mvn_create_vmware_xml.sh
      - ./apps/vmware/maven/volumes/file/usr/local/bin/mvn_create_vmware_yaml.sh:/usr/local/bin/mvn_create_vmware_yaml.sh
      - ./apps/vmware/maven/volumes/file/usr/local/bin/mvn_pull.sh:/usr/local/bin/mvn_pull.sh
      - ./apps/vmware/maven/volumes/file/usr/local/bin/mvn_push.sh:/usr/local/bin/mvn_push.sh
      - ./apps/vmware/maven/volumes/file/usr/local/bin/mvn_pull_vra.sh:/usr/local/bin/mvn_pull_vra.sh
      - ./apps/vmware/maven/volumes/file/usr/local/bin/mvn_pull_mixed.sh:/usr/local/bin/mvn_pull_mixed.sh
      - ./apps/vmware/maven/volumes/file/usr/local/bin/mvn_push_mixed.sh:/usr/local/bin/mvn_push_mixed.sh
      - ./apps/vmware/maven/volumes/file/usr/local/bin/mvn_push_mixed_full.sh:/usr/local/bin/mvn_push_mixed_full.sh
    networks:
      savemetenminutes-default:
        ipv4_address: ${NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS:-222.222}.${NETWORK_SUBNET_THIRD_OCTET:-222}.224
        aliases:
          - maven.${COMPOSE_PROJECT_NAME:-default}
    ports:
      - "22401:9001"
      - "22422:22"
    expose:
      - "9001"
      - "22"
